Subject: bug#13583: 24.3.50; Error when activating auto-revert-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Jan 2013 19:44:24 +0200

> Date: Tue, 29 Jan 2013 15:22:04 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> >> Why would you need to save any customizations at all?  If you want to
> >> customize yet another variable, add yet another custom-set-variables
> >> form to your .emacs, that's all.  What am I missing?
> >
> > Yes, I think that's a good approach.  I'll get rid of my custom file,
> > and do the appropriate calls to custom-set-xxxx directly from my init
> > file.
> 
> But for the record: IIUC, I that approach isn't flawless either,
> because doing face customization is pretty hard without the customize
> facility, and using customize will imply:
> 1. Do the customization in a custom buffer.
> 2. Save the customization (for getting the elisp code).
> 3. Look for the appropriate sentence in the generated custom file, and
> move it to my init file.
> 
> That is not very convenient, but fortunately I don't do face
> customization every day.

Exactly.  If you change customizations very frequently, then they
probably don't belong in your init/custom file anyway.